## arduino-cli debug

Debug Arduino sketches.

### Synopsis

Debug Arduino sketches. (this command opens an interactive gdb session)

```
arduino-cli debug [flags]
```

### Examples

```
  debian/build/bin/docsgen debug -b arduino:samd:mkr1000 -P atmel_ice /home/user/Arduino/MySketch
```

### Options

```
      --board-options strings        List of board options separated by commas. Or can be used multiple times for multiple options.
      --build-path string            Directory containing binaries for debug.
      --debug-property stringArray   Override an debug property with a custom value. Can be used multiple times for multiple properties.
      --discovery-timeout duration   Max time to wait for port discovery, e.g.: 30s, 1m (default 1s)
  -b, --fqbn string                  Fully Qualified Board Name, e.g.: arduino:avr:uno
  -h, --help                         help for debug
  -I, --info                         Show metadata about the debug session instead of starting the debugger.
      --input-dir string             Directory containing binaries for debug.
      --interpreter string           Debug interpreter e.g.: console, mi, mi1, mi2, mi3 (default "console")
  -p, --port string                  Upload port address, e.g.: COM3 or /dev/ttyACM2
  -m, --profile string               Sketch profile to use
  -P, --programmer string            Programmer to use, e.g: atmel_ice
  -l, --protocol string              Upload port protocol, e.g: serial
```

### Options inherited from parent commands

```
      --additional-urls strings   Comma-separated list of additional URLs for the Boards Manager.
      --config-dir string         Sets the default data directory (Arduino CLI will look for configuration file in this directory).
      --config-file string        The custom config file (if not specified the default will be used).
      --json                      Print the output in JSON format.
      --log                       Print the logs on the standard output.
      --log-file string           Path to the file where logs will be written.
      --log-format string         The output format for the logs, can be: text, json (default "text")
      --log-level string          Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic (default "info")
      --no-color                  Disable colored output.
```

### SEE ALSO

* [arduino-cli](arduino-cli.md)	 - Arduino CLI.
* [arduino-cli debug check](arduino-cli_debug_check.md)	 - Check if the given board/programmer combination supports debugging.

